Rygel.MediaArtStore – librygel-server Reference Manual

# MediaArtStore

## Object Hierarchy:

## Description:

public class MediaArtStore : `Object`

This maps RygelMusicItem objects to their cached cover art, implementing the GNOME MediaArt storage specification.

Namespace: Rygel
Package: librygel-server

## Content:

### Static methods:

- public static MediaArtStore? get_default ()

### Methods:

- public Thumbnail? find_media_art (MusicItem item, `bool` simple = false) throws `Error`
- public Thumbnail? find_media_art_any (MusicItem item) throws `Error`
- public `File`? get_media_art_file (`string` type, MusicItem item, `bool` simple = false)
- public void add (MusicItem item, `File` file, `uint8`[]? data)

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count